playeffect("birds_sing",true)

setCursor(obj.door_Muzey_12_0.id,6);
setCursor(obj.door_BesedkaHidden_12_0.id,2);

setCursor(obj.mini_BesedkaKniga_12_0.id,2);
setCursor(obj.mini_BesedkaStatuetka_12_0.id,2);
setCursor(obj.mini_Roots_12_0.id,2);

function SelectRandom()
  if not neighbors.BesedkaHidden.lock then
    giveMeHint(obj.door_BesedkaHidden_12_0.id);
  return end
  if obj.vilka_2_1 and obj.vilka_2_1.is_stored then
    giveMeHint(obj.mini_Roots_12_0.id);
  return end
  if obj.statuja_5_1 and obj.statuja_5_1.is_stored then
    giveMeHint(obj.mini_BesedkaStatuetka_12_0.id);
  return end
  if obj.persten_2_1 and obj.persten_2_1.is_collapsed and not neighbors.BesedkaKniga.lock then
    giveMeHint(obj.mini_BesedkaKniga_12_0.id);  
  return end
  CreatePlashechka("10001")
end;

if neighbors.BesedkaHidden.lock then
  set_visible_object(obj.door_BesedkaHidden_12_0.id,false)
else
  set_visible_object(obj.door_BesedkaHidden_12_0.id,true)
end
if neighbors.BesedkaStatuetka.lock then
  set_visible_object(obj.mini_BesedkaStatuetka_12_0.id,false)
  set_visible_object(obj.statuetka_12_0.id,true)
  if not flags.plitaOtoshla then
    flags.plitaOtoshla = true
    playeffect("tain_bes")
    speciale_action(2,obj.BesedkaKniga_12_0.id,true,1)
    function frame1()
      CreatePlashechka("634")
    end
    StartTimer(timerID,0.2,"frame1")
  else
    set_visible_object(obj.BesedkaKniga_12_0.id,true)
  end
else
  set_visible_object(obj.BesedkaKniga_12_0.id,false)
  set_visible_object(obj.statuetka_12_0.id,false)
end
if neighbors.BesedkaKniga.lock then
  set_visible_object(obj.mini_BesedkaKniga_12_0.id,false)
else
  set_visible_object(obj.mini_BesedkaKniga_12_0.id,true)
end
if neighbors.roots.lock then
  set_visible_object(obj.mini_Roots_12_0.id,false)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==1 then
    if obj_id == obj.door_Muzey_12_0.id then
      jump("Muzey");
    end;
    if obj_id == obj.door_BesedkaHidden_12_0.id then
      flags.is_hidden_loc = true;
      jump("BesedkaHidden");
    end;
    if obj_id == obj.mini_Roots_12_0.id then
      CreateSatelite("roots");
      playeffect("sat")
    end;
    if obj_id == obj.mini_BesedkaKniga_12_0.id then
      CreateSatelite("BesedkaKniga");
      playeffect("sat")
    end;
    if obj_id == obj.mini_BesedkaStatuetka_12_0.id then
      CreateSatelite("BesedkaStatuetka");
      playeffect("sat")
    end;

  end
  -- if sender == 8 then
    -- dofile("./data/12/0/comics.lua")
  -- end
end


